Subject: Re: [PATCH] net: dsa: mv88e6060: Fix false positive lockdep splat

From: Andrew Lunn <[email-masked]>
Date: Wed, 21 Oct 2015 18:14:16 +0200

On Wed, Oct 21, 2015 at 05:37:45PM +0200, Neil Armstrong wrote:
> Like the change made for mv88e6xxx, use mutex_lock_nested() to avoid
> lockdep to give false positives because of nested MDIO busses.

Hi Neil

We now have three instances of this, since mdio-mux.c has the same
code. Maybe now would be a good time to refactor this code into
mdiobus_read_nested() and mdiobus_write_nested() in mdio_bus.c?  At
the same time, add BUG_ON(in_interrupt()) similar to the non-nested
versions?

	Andrew